//package com.werpu.simplemail;

import org.kde.qt.*;
import org.kde.koala.*;


/**
 *
 * @author  Werner Punz werpu@gmx.at
 * This is a simple mailer to demonstrate the connection
 * of KDE Java with java packages.
 * It demonstrates the connection between KDEJava and the javamail API
 * to send mails from a KDE Application box via the SMTP protocol
 * Note:The javamail and activation jar files have to be in your classpath!
 *
 */
public class SimpleMailer extends KApplication{
    static {
        qtjava.initialize();
        kdejava.initialize();
    }
    
    public SimpleMailer() {
        super();
        SimpleMailFrm mainWidget = new SimpleMailFrm(this);
        this.setMainWidget(mainWidget);
        mainWidget.show();
        this.exec();
    }

    /**
     * Entry point for the program
     */
    public static void main(String [] argv) {
	KCmdLineArgs.init(argv, "simplemailer", "SimpleMailer", 
				 "Simple Mailing Application", "0.1");
        SimpleMailer mailClnt = new SimpleMailer();
    }
}
